ubuntu/+source/openssh:applied/ubuntu/edgy

Last commit made on 2006-10-05
Get this branch:
git clone -b applied/ubuntu/edgy https://git.launchpad.net/ubuntu/+source/openssh
Members of Ubuntu Server Dev import team can upload to this branch. Log in for directions.

Branch merges

Branch information

Name:
applied/ubuntu/edgy
Repository:
lp:ubuntu/+source/openssh

Recent commits

794fa96... by Colin Watson on 2006-10-05

Import patches-applied version 1:4.3p2-5ubuntu1 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: ba5f65daaba0b32b2732fecfd59a759b70675b20
Unapplied parent: 891bef0d2423a8437ec00b46138b99307e0f67dc

New changelog entries:
  * Resynchronise with Debian.
  * Remove ssh/insecure_telnetd check altogether (closes: #391081).
  * debconf template translations:
    - Update Danish (thanks, Claus Hindsgaul; closes: #390612).

891bef0... by Colin Watson on 2006-10-05

Import patches-unapplied version 1:4.3p2-5ubuntu1 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: 1d4fb0d11110722933dbd74235de63e134c8ddd2

New changelog entries:
  * Resynchronise with Debian.
  * Remove ssh/insecure_telnetd check altogether (closes: #391081).
  * debconf template translations:
    - Update Danish (thanks, Claus Hindsgaul; closes: #390612).

ba5f65d... by Colin Watson on 2006-09-29

Import patches-applied version 1:4.3p2-4ubuntu1 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: be10b218363f82e1bdf914367fa9273bcbec6d90
Unapplied parent: 1d4fb0d11110722933dbd74235de63e134c8ddd2

New changelog entries:
  * Resynchronise with Debian.
  * Backport from 4.4p1 (since I don't have an updated version of the GSSAPI
    patch yet):
    - CVE-2006-4924: Fix a pre-authentication denial of service found by
      Tavis Ormandy, that would cause sshd(8) to spin until the login grace
      time expired (closes: #389995).
    - CVE-2006-5051: Fix an unsafe signal hander reported by Mark Dowd. The
      signal handler was vulnerable to a race condition that could be
      exploited to perform a pre-authentication denial of service. On
      portable OpenSSH, this vulnerability could theoretically lead to
      pre-authentication remote code execution if GSSAPI authentication is
      enabled, but the likelihood of successful exploitation appears remote.
  * Read /etc/default/locale as well as /etc/environment (thanks, Raphaël
    Hertzog; closes: #369395).
  * Remove no-longer-used ssh/insecure_rshd debconf template.
  * Make ssh/insecure_telnetd Type: error (closes: #388946).
  * debconf template translations:
    - Update Portuguese (thanks, Rui Branco; closes: #381942).
    - Update Spanish (thanks, Javier Fernández-Sanguino Peña;
      closes: #382966).
  * Document KeepAlive->TCPKeepAlive renaming in sshd_config(5) (closes:
    https://launchpad.net/bugs/50702).
  * Change sshd user's shell to /usr/sbin/nologin (closes: #366541).
    Introduces dependency on passwd for usermod.
  * debconf template translations:
    - Update French (thanks, Denis Barbier; closes: #368503).
    - Update Dutch (thanks, Bart Cornelis; closes: #375100).
    - Update Japanese (thanks, Kenshi Muto; closes: #379950).

1d4fb0d... by Colin Watson on 2006-09-29

Import patches-unapplied version 1:4.3p2-4ubuntu1 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: 2efa7c85c7f44957cbc499aa3f17cc45073e0909

New changelog entries:
  * Resynchronise with Debian.
  * Backport from 4.4p1 (since I don't have an updated version of the GSSAPI
    patch yet):
    - CVE-2006-4924: Fix a pre-authentication denial of service found by
      Tavis Ormandy, that would cause sshd(8) to spin until the login grace
      time expired (closes: #389995).
    - CVE-2006-5051: Fix an unsafe signal hander reported by Mark Dowd. The
      signal handler was vulnerable to a race condition that could be
      exploited to perform a pre-authentication denial of service. On
      portable OpenSSH, this vulnerability could theoretically lead to
      pre-authentication remote code execution if GSSAPI authentication is
      enabled, but the likelihood of successful exploitation appears remote.
  * Read /etc/default/locale as well as /etc/environment (thanks, Raphaël
    Hertzog; closes: #369395).
  * Remove no-longer-used ssh/insecure_rshd debconf template.
  * Make ssh/insecure_telnetd Type: error (closes: #388946).
  * debconf template translations:
    - Update Portuguese (thanks, Rui Branco; closes: #381942).
    - Update Spanish (thanks, Javier Fernández-Sanguino Peña;
      closes: #382966).
  * Document KeepAlive->TCPKeepAlive renaming in sshd_config(5) (closes:
    https://launchpad.net/bugs/50702).
  * Change sshd user's shell to /usr/sbin/nologin (closes: #366541).
    Introduces dependency on passwd for usermod.
  * debconf template translations:
    - Update French (thanks, Denis Barbier; closes: #368503).
    - Update Dutch (thanks, Bart Cornelis; closes: #375100).
    - Update Japanese (thanks, Kenshi Muto; closes: #379950).

be10b21... by Colin Watson on 2006-08-23

Import patches-applied version 1:4.3p2-2ubuntu5 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: 98062251e0b3a3f4165a26732689329e889aa61f
Unapplied parent: 2efa7c85c7f44957cbc499aa3f17cc45073e0909

New changelog entries:
  * Move sysv-rc versioned dependency from openssh-client to openssh-server
    (closes: Malone #56021).

2efa7c8... by Colin Watson on 2006-08-23

Import patches-unapplied version 1:4.3p2-2ubuntu5 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: b66a58503a7d4de982ff78b3997c4da3ddc1263c

New changelog entries:
  * Move sysv-rc versioned dependency from openssh-client to openssh-server
    (closes: Malone #56021).

9806225... by Colin Watson on 2006-07-21

Import patches-applied version 1:4.3p2-2ubuntu4 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: f283eec151dbde559101589fdbf5826de8a9bdc9
Unapplied parent: b66a58503a7d4de982ff78b3997c4da3ddc1263c

New changelog entries:
  * Fix setup_init changes; $2 means something different inside a function.

b66a585... by Colin Watson on 2006-07-21

Import patches-unapplied version 1:4.3p2-2ubuntu4 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: dc70c784d68ea5fff71aff670f5b3d15c1f8d499

New changelog entries:
  * Fix setup_init changes; $2 means something different inside a function.

f283eec... by Scott James Remnant (Canonical) on 2006-07-21

Import patches-applied version 1:4.3p2-2ubuntu3 to applied/ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: 3770110e64f2027311342efeb71c44dd90e9b7fc
Unapplied parent: dc70c784d68ea5fff71aff670f5b3d15c1f8d499

New changelog entries:
  * Add forgotten versioned-dependency on sysv-rc to get new update-rc.d
    behaviour. Go me.

dc70c78... by Scott James Remnant (Canonical) on 2006-07-21

Import patches-unapplied version 1:4.3p2-2ubuntu3 to ubuntu/edgy

Imported using git-ubuntu import.

Changelog parent: 7cda7b783825f85200a5019e577685e165b270fb

New changelog entries:
  * Add forgotten versioned-dependency on sysv-rc to get new update-rc.d
    behaviour. Go me.